System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.BindingElement

To enable packet routing a one-way conversion layer is required, which this class provides. This class is a binding in the stack of bindings that performs a message-level shape change called OneWayBindingElement. This shape change can take a or a and expose it as a , or conversely it can take a or a and expose it as a . A user can create a custom binding that layers this binding over a session-aware or request-reply transport to make it packet routable.

This class is also useful when you want to expose one-way methods in a more native fashion. More transformations can be applied over this layer, such as Composite Duplex and Reliable Messaging.

Enables packet routing and the use of one-way methods.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> ``

  This method creates a channel factory, which is used to create a channel that processes outgoing messages for this binding.

  Initializes a channel factory for producing one-way channels from the binding context.

  The of type initialized from the .

  The that provides context for the binding element. The type of channel that the factory builds.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  This method creates a channel listener, which is used to create a channel that processes incoming messages for this binding.

  Initializes a channel listener for accepting one-way channels.

  The of type initialized from the .

  The that provides context for the binding element. The type of channel that the listener is built to accept.
- Method
  4.0.0.0
  System.Boolean ``

  You should call this method before trying to create a channel factory.

  This method returns true when is an , and the binding below the present one in the binding stack is an or .

  Gets a value that indicates whether a channel factory of the specified type can be built.

  true if a channel factory of the specified type can be built; otherwise, false. The default is false.

  The that provides context for the binding element. The type of channel factory to build.
- Method
  4.0.0.0
  System.Boolean ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  You should call this method before trying to create a channel listener.

  This method returns true when is an , and the binding below the present one in the binding stack is an or .

  Gets a value that indicates whether a channel listener of the specified type can be built.

  true if a channel listener of the specified type can be built; otherwise, false. The default is false.

  The that provides context for the binding element. The type of channel listener to build.
- Property
  4.0.0.0
  System.ServiceModel.Channels.ChannelPoolSettings To be added. To be added.

  Gets the channel pool settings.

- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added.

  Clones an instance of this class.

  A cloned copy of this instance of this class.

- Method
  4.0.0.0
  T ReferenceTypeConstraint ``

  This method receives a binding context as an input parameter, which represents the stack of binding elements.

  Each binding element in the stack can handle the inquiry itself or delegate the inquiry, or a combination of the two. Each binding element can modify the context if it delegates the inquiry. However, a transport binding element handles the inquiry itself.

  This method is implemented by binding elements as well as by the runtime objects, such as , , and .

  Gets properties from the binding stack, if present.

  A object from the binding stack, if present.

  The that provides context for the binding element. Type of the property.